Subject: Re: enabling two eths

From: Vitaly Bordug <[email-masked]>
Date: Tue, 20 Feb 2007 16:44:16 +0300

On Tue, 20 Feb 2007 18:51:41 +0530
Manjunath AM <[email-masked]> wrote:

> Hi,
> 
> We are using MPC8272 based target board, we use montavista Linux version 
> 2.6.10 kernel image (with NFS enabled) to our target board,
> 
> Our board has  2 FCCs (eth0 and eth1). bot the eth's works perfectly when 
> we use them independently, but when we are trying to enable second one 
> after the kernel is up using linux command  "ifconfig eth1 192.168.33.64 
> up"(IP address)nothing is working.
> Please suggest how to enable second eth (either 0 or 1) once the kernel is 
> up with NFS file system
> 

I could recall no problems with mpc8272 except stuck PHY which were cured by board power cycle.
I brought up second Ethernet interface a number of times without any problem; even had them replace each 
other serving as NFS root gate.

So I would suggest supplying more information on "nothing is working", prolly kernel output and details about MVL product you are using.

-- 
Sincerely, 
Vitaly